MeasurementBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.MeasurementBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class MeasurementBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.MetricSessionEJB
              org.hyperic.hq.bizapp.server.session.MeasurementBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class MeasurementBossEJBImpl

extends MetricSessionEJB
implements javax.ejb.SessionBean

BizApp interface to the Measurement subsystem

See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `_log`

Fields inherited from class org.hyperic.hq.bizapp.server.session.MetricSessionEJB
`manager`

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`MeasurementBossEJBImpl()`

Method Summary
`void` | `disableAGMeasurements(int sessionId, AppdefEntityID parentId, AppdefEntityTypeID childType, java.lang.Integer[] tids)` Disable all measurements for a resource
`void` | `disableMeasurements(int sessionId, AppdefEntityID id)` Disable all measurements for an instance
`void` | `disableMeasurements(int sessionId, AppdefEntityID id, java.lang.Integer[] tids)` Disable all measurements for a resource
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`PageList` | `findAGMeasurementData(int sessionId, AppdefEntityID[] aids, MeasurementTemplate tmpl, AppdefEntityTypeID ctype, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an auto-group based on an interval.
`PageList` | `findAGMeasurementData(java.lang.String user, AppdefEntityID[] aids, MeasurementTemplate tmpl, AppdefEntityTypeID ctype, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an auto-group based on an interval.
`java.util.Map` | `findAGMetricsByType(int sessionId, AppdefEntityID[] entIds, AppdefEntityTypeID typeId, long filters, java.lang.String keyword, long begin, long end, boolean showAll)` Return a Metric summary bean for each of the services of a specific type
`java.util.Map` | `findAGPlatformMetricsByType(int sessionId, AppdefEntityTypeID platTypeId, long begin, long end, boolean showAll)` Return a MetricSummary bean for each of the servers of a specific type.
`java.util.List` | `findAGPlatformsCurrentHealthByType(int sessionId, java.lang.Integer platTypeId)` Method findAGPlatformsCurrentHealthByType For autogroup of platforms.
`java.util.List` | `findAGServersCurrentHealthByType(int sessionId, AppdefEntityID[] entIds, java.lang.Integer serverTypeId)` Method findServersCurrentHealth For platform's autogroup of servers.
`java.util.List` | `findAGServicesCurrentHealthByType(int sessionId, AppdefEntityID[] entIds, java.lang.Integer serviceTypeId)` Return a ResourceDisplaySummary bean for each of the resource's services.
`java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID aeid, AppdefEntityID[] hosts, AppdefEntityTypeID[] children, AppdefEntityID[] members, long begin, long end)` Returns a list of problem metrics for a resource, and the selected children and hosts of that resource.
`java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID aeid, AppdefEntityID[] hosts, AppdefEntityTypeID[] children, long begin, long end)` Returns a list of problem metrics for a resource, and the selected children and hosts of that resource.
`java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID aeid, AppdefEntityTypeID ctype, long begin, long end)` Returns a list of problem metrics for an autogroup, return a summarized list of UI beans
`Measurement` | `findAvailabilityMetric(int sessionId, AppdefEntityID id)` Get the availability metric for a given resource
`java.util.List` | `findEnabledAGMeasurements(int sessionId, AppdefEntityID parentId, AppdefEntityTypeID childType, java.lang.String cat, PageControl pc)` Get the enabled measurements for an auto group
`PageList` | `findEnabledMeasurements(int sessionId, AppdefEntityID id, java.lang.String cat, PageControl pc)` Retrieve list of measurements for a specific instance and category
`java.util.List` | `findGroupCurrentHealth(int sessionId, java.lang.Integer id)` Method findGroupCurrentHealth.
`java.util.List` | `findHostsCurrentHealth(int sessionId, AppdefEntityID entId, PageControl pc)` Find the current health of the entity's host(s)
`Measurement` | `findMeasurement(int sessionId, java.lang.Integer tid, AppdefEntityID id)` Retrieve a Measurement for a specific instance
`PageList` | `findMeasurementData(int sessionId, AppdefEntityID aid, MeasurementTemplate tmpl, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an instance based on an interval
`PageList` | `findMeasurementData(int sessionId, java.lang.Integer tid, AppdefEntityID aid, AppdefEntityTypeID ctype, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an auto-group based on an interval.
`PageList` | `findMeasurementData(int sessionId, java.lang.Integer tid, AppdefEntityID aid, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an instance based on an interval
`PageList` | `findMeasurementData(int sessionId, java.lang.Integer tid, java.util.List entIds, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an auto-group based on an interval.
`PageList` | `findMeasurementData(int sessionId, Measurement m, long begin, long end, PageControl pc)` Dumps data for a specific measurement
`PageList` | `findMeasurementData(java.lang.String user, AppdefEntityID aid, MeasurementTemplate tmpl, long begin, long end, long interval, boolean returnNulls, PageControl pc)` Dumps data for a specific measurement template for an instance based on an interval
`java.util.List` | `findMeasurements(int sessionId, AppdefEntityID id, PageControl pc)` Retrieve List of measurements for a specific instance
`java.util.List` | `findMeasurements(int sessionId, java.lang.Integer tid, AppdefEntityID[] entIds)` Retrieve list of measurements for a specific template and entities
`java.util.List` | `findMeasurementTemplates(int sessionId, AppdefEntityID aeid)`
`java.util.List` | `findMeasurementTemplates(int sessionId, AppdefEntityTypeID typeId, java.lang.String category, PageControl pc)`
`java.util.List` | `findMeasurementTemplates(int sessionId, java.lang.Integer[] ids, PageControl pc)` Retrieve list of measurement templates given specific IDs
`java.util.List` | `findMeasurementTemplates(int sessionId, java.lang.String mtype, PageControl pc)` Retrieve list of measurement templates applicable to a monitorable type
`java.util.List` | `findMeasurementTemplates(java.lang.String user, java.lang.Integer[] ids, PageControl pc)` Retrieve list of measurement templates given specific IDs
`MetricDisplaySummary` | `findMetric(int sessionId, AppdefEntityID aeid, AppdefEntityTypeID ctype, java.lang.Integer tid, long begin, long end)` Method findMetrics.
`MetricDisplaySummary` | `findMetric(int sessionId, java.util.List resources, java.lang.Integer tid, long begin, long end)` Method findMetrics.
`java.util.List` | `findMetricMetadata(int sessionId, AppdefEntityID aid, AppdefEntityTypeID ctype, java.lang.Integer tid)` Returns metadata for particular measurement
`java.util.Map` | `findMetrics(int sessionId, AppdefEntityID[] entIds, long filters, java.lang.String keyword, long begin, long end, boolean showNoCollect)` Return a MetricSummary bean for each of the metrics (template) for the entities in the given time frame
`java.util.Map` | `findMetrics(int sessionId, AppdefEntityID entId, java.util.List mtids, long begin, long end)` Method findMetrics.
`PageList` | `findPlatformsCurrentHealth(int sessionId, AppdefEntityID entId, PageControl pc)` Method findPlatformsCurrentHealth.
`java.util.Map` | `findResourceMetricSummary(int sessionId, AppdefEntityID[] entIds, long begin, long end)` Method findResourceMetricSummary.
`java.util.List` | `findResourcesCurrentHealth(int sessionId, AppdefEntityID[] entIds)` Method findResourcesCurrentHealth.
`java.util.List` | `findResourcesCurrentHealth(java.lang.String user, AppdefEntityID[] entIds)` Method findResourcesCurrentHealth.
`PageList` | `findServersCurrentHealth(int sessionId, AppdefEntityID entId, PageControl pc)` Method findServersCurrentHealth For the screens that rely on this API, the entId is either an application, a service or a group.
`java.util.List` | `findSummarizedPlatformServiceCurrentHealth(int sessionId, AppdefEntityID entId)` Method findSummarizedServiceCurrentHealth.
`java.util.List` | `findSummarizedServerCurrentHealth(int sessionId, AppdefEntityID entId)` Method findSummarizedServerCurrentHealth.
`java.util.List` | `findSummarizedServiceCurrentHealth(int sessionId, AppdefEntityID entId)`
`java.util.List` | `findVirtualsCurrentHealth(int sessionId, AppdefEntityID entId)` Return a ResourceDisplaySummary bean for each of the resource's virtual resources.
`double` | `getAGAvailability(int sessionId, AppdefEntityID[] aids, AppdefEntityTypeID ctype)` Get the availability of autogroup resources
`java.util.List` | `getAGDesignatedTemplates(int sessionId, AppdefEntityID[] aids, AppdefEntityTypeID ctype, java.util.Set cats)` Get the the designated measurement template for the autogroup given a type and corresponding category.
`AppdefEntityID[]` | `getAutoGroupMemberIDs(AuthzSubject subject, AppdefEntityID[] aids, AppdefEntityTypeID ctype)` Get Autogroup member ids
`double` | `getAvailability(AuthzSubject subj, AppdefEntityID id)` Get Availability measurement for a given entitiy
`double` | `getAvailability(int sessionId, AppdefEntityID id)` Get the availability of the resource
`MeasurementTemplate` | `getAvailabilityMetricTemplate(int sessionId, AppdefEntityID aeid)` Get the the availability metric template for the given resource
`MeasurementTemplate` | `getAvailabilityMetricTemplate(int sessionId, AppdefEntityID aid, AppdefEntityTypeID ctype)` Get the the availability metric template for the given autogroup
`java.util.List` | `getDesignatedTemplates(int sessionId, AppdefEntityID id, java.util.Set cats)` Get the the designated measurement template for the given resource and corresponding category.
`java.util.Map` | `getLastIndicatorValues(java.lang.Integer sessionId, AppdefEntityID aeid)` Get the last indicator metric values
`MetricValue[]` | `getLastMetricValue(int sessionId, AppdefEntityID aeid, java.lang.Integer[] tids)` Get the last metric values for the given template IDs.
`MetricValue[]` | `getLastMetricValue(int sessionId, java.util.List measurements, long interval)` Get the last metric data for the array of measurement ids.
`Measurement` | `getMeasurement(int sessionID, java.lang.Integer id)` Find a measurement using measurement id
`MeasurementTemplate` | `getMeasurementTemplate(int sessionId, java.lang.Integer id)` Retrieve a measurement template given specific ID
`static org.hyperic.hq.bizapp.shared.MeasurementBossLocal` | `getOne()`
`javax.ejb.SessionContext` | `getSessionContext()`
`MeasurementSummary` | `getSummarizedResourceAvailability(int sessionId, AppdefEntityID entId, int appdefType, java.lang.Integer typeId)` Return a MeasurementSummary bean for the resource's associated resources specified by type
`AppdefResourceValue[]` | `pruneResourcesNotCollecting(int sessionId, AppdefResourceValue[] resources, java.lang.Integer tid)` Prunes from the list of passed-in AppdefEntityValue array those resources that are not collecting the metric corresponding to the given template id.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `updateAGMeasurements(int sessionId, AppdefEntityID parentid, AppdefEntityTypeID ctype, java.lang.Integer[] tids, long interval)` Update measurements for the members of an autogroup
`void` | `updateIndicatorMetrics(int sessionId, AppdefEntityTypeID aetid, java.lang.Integer[] tids)` Update the templates to be indicators or not
`void` | `updateMeasurements(int sessionId, AppdefEntityID id, java.lang.Integer[] tids, long interval)` Update the measurements - set the interval
`void` | `updateMetricDefaultInterval(int sessionId, java.lang.Integer[] tids, long interval)` Update the default interval for a list of template ids

Methods inherited from class org.hyperic.hq.bizapp.server.session.MetricSessionEJB
`findAllMetrics, findAllMetrics, findAvailabilityMetric, findMetrics, getAeids, getAggregateAvailability, getAGMemberIds, getAGMemberIds, getAvailability, getAvailability, getGroupAvailability, getGroupMemberIDs, getMetricDisplaySummary, getMidMap, getPlatformAG, getResourceIds, getResourceMetrics, getResourceMetrics, toAppdefEntityIDArray`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected static org.apache.commons.logging.Log _log

Constructor Detail

### MeasurementBossEJBImpl

    public MeasurementBossEJBImpl()

Method Detail

### getAutoGroupMemberIDs

    public AppdefEntityID[] getAutoGroupMemberIDs(AuthzSubject subject,
                                                  AppdefEntityID[] aids,
                                                  AppdefEntityTypeID ctype)
                                           throws AppdefEntityNotFoundException,
                                                  PermissionException

  Get Autogroup member ids

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### updateMetricDefaultInterval

    public void updateMetricDefaultInterval(int sessionId,
                                            java.lang.Integer[] tids,
                                            long interval)
                                     throws SessionException

  Update the default interval for a list of template ids

  Throws:
    `SessionException`

### updateIndicatorMetrics

    public void updateIndicatorMetrics(int sessionId,
                                       AppdefEntityTypeID aetid,
                                       java.lang.Integer[] tids)
                                throws TemplateNotFoundException,
                                       SessionTimeoutException,
                                       SessionNotFoundException

  Update the templates to be indicators or not

  Throws:
    `TemplateNotFoundException`
    `SessionTimeoutException`
    `SessionNotFoundException`

### findMeasurementTemplates

    public java.util.List findMeasurementTemplates(int sessionId,
                                                   AppdefEntityTypeID typeId,
                                                   java.lang.String category,
                                                   PageControl pc)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException

  Returns:
    a PageList of MeasurementTemplateValue objects
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`

### findMeasurementTemplates

    public java.util.List findMeasurementTemplates(int sessionId,
                                                   AppdefEntityID aeid)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException,
                                                   AppdefEntityNotFoundException,
                                                   PermissionException

  Returns:
    a PageList of MeasurementTemplateValue objects based on entity
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findMeasurementTemplates

    public java.util.List findMeasurementTemplates(int sessionId,
                                                   java.lang.String mtype,
                                                   PageControl pc)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException

  Retrieve list of measurement templates applicable to a monitorable type

  Parameters:
    `mtype` - the monitorableType
  Returns:
    a List of MeasurementTemplateValue objects
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`

### findMeasurementTemplates

    public java.util.List findMeasurementTemplates(java.lang.String user,
                                                   java.lang.Integer[] ids,
                                                   PageControl pc)
                                            throws javax.security.auth.login.LoginException,
                                                   ApplicationException,
                                                   ConfigPropertyException

  Retrieve list of measurement templates given specific IDs

  Throws:
    `javax.security.auth.login.LoginException`
    `ApplicationException`
    `ConfigPropertyException`

### findMeasurementTemplates

    public java.util.List findMeasurementTemplates(int sessionId,
                                                   java.lang.Integer[] ids,
                                                   PageControl pc)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException,
                                                   TemplateNotFoundException

  Retrieve list of measurement templates given specific IDs

  Returns:
    a List of MeasurementTemplateValue objects
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `TemplateNotFoundException`

### getMeasurementTemplate

    public MeasurementTemplate getMeasurementTemplate(int sessionId,
                                                      java.lang.Integer id)
                                               throws SessionNotFoundException,
                                                      SessionTimeoutException,
                                                      TemplateNotFoundException

  Retrieve a measurement template given specific ID

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `TemplateNotFoundException`

### getAvailabilityMetricTemplate

    public MeasurementTemplate getAvailabilityMetricTemplate(int sessionId,
                                                             AppdefEntityID aid,
                                                             AppdefEntityTypeID ctype)
                                                      throws SessionNotFoundException,
                                                             SessionTimeoutException,
                                                             MeasurementNotFoundException,
                                                             AppdefEntityNotFoundException,
                                                             PermissionException

  Get the the availability metric template for the given autogroup

  Returns:
    The availabililty metric template.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `MeasurementNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAvailabilityMetricTemplate

    public MeasurementTemplate getAvailabilityMetricTemplate(int sessionId,
                                                             AppdefEntityID aeid)
                                                      throws MeasurementNotFoundException,
                                                             SessionNotFoundException,
                                                             SessionTimeoutException,
                                                             AppdefEntityNotFoundException,
                                                             PermissionException

  Get the the availability metric template for the given resource

  Returns:
    template of availabililty metric
  Throws:
    `MeasurementNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getDesignatedTemplates

    public java.util.List getDesignatedTemplates(int sessionId,
                                                 AppdefEntityID id,
                                                 java.util.Set cats)
                                          throws SessionNotFoundException,
                                                 SessionTimeoutException,
                                                 AppdefEntityNotFoundException,
                                                 PermissionException

  Get the the designated measurement template for the given resource and corresponding category.

  Returns:
    Array of Measurement IDs
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAGDesignatedTemplates

    public java.util.List getAGDesignatedTemplates(int sessionId,
                                                   AppdefEntityID[] aids,
                                                   AppdefEntityTypeID ctype,
                                                   java.util.Set cats)
                                            throws SessionNotFoundException,
                                                   SessionTimeoutException,
                                                   MeasurementNotFoundException,
                                                   AppdefEntityNotFoundException,
                                                   PermissionException

  Get the the designated measurement template for the autogroup given a type and corresponding category.

  Parameters:
    `ctype` - the AppdefEntityTypeID of the AG members
  Returns:
    Array of Measuremnt ids
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `MeasurementNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### updateMeasurements

    public void updateMeasurements(int sessionId,
                                   AppdefEntityID id,
                                   java.lang.Integer[] tids,
                                   long interval)
                            throws MeasurementNotFoundException,
                                   SessionTimeoutException,
                                   SessionNotFoundException,
                                   TemplateNotFoundException,
                                   AppdefEntityNotFoundException,
                                   GroupNotCompatibleException,
                                   MeasurementCreateException,
                                   ConfigFetchException,
                                   PermissionException,
                                   EncodingException

  Update the measurements - set the interval

  Parameters:
    `id` - the resource ID
    `tids` - the array of template ID's
    `interval` - the new interval value
  Throws:
    `MeasurementNotFoundException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `TemplateNotFoundException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `MeasurementCreateException`
    `ConfigFetchException`
    `PermissionException`
    `EncodingException`

### updateAGMeasurements

    public void updateAGMeasurements(int sessionId,
                                     AppdefEntityID parentid,
                                     AppdefEntityTypeID ctype,
                                     java.lang.Integer[] tids,
                                     long interval)
                              throws MeasurementNotFoundException,
                                     SessionTimeoutException,
                                     SessionNotFoundException,
                                     TemplateNotFoundException,
                                     AppdefEntityNotFoundException,
                                     GroupNotCompatibleException,
                                     MeasurementCreateException,
                                     ConfigFetchException,
                                     PermissionException,
                                     EncodingException

  Update measurements for the members of an autogroup

  Parameters:
    `parentid` - - the parent resource of the autogroup
    `ctype` - - the type of child resource
    `tids` - - template ids to update
    `interval` - - the interval to set
  Throws:
    `MeasurementNotFoundException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `TemplateNotFoundException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `MeasurementCreateException`
    `ConfigFetchException`
    `PermissionException`
    `EncodingException`

### disableMeasurements

    public void disableMeasurements(int sessionId,
                                    AppdefEntityID id)
                             throws SessionTimeoutException,
                                    SessionNotFoundException,
                                    PermissionException

  Disable all measurements for an instance

  Parameters:
    `id` - the resource's ID
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### disableMeasurements

    public void disableMeasurements(int sessionId,
                                    AppdefEntityID id,
                                    java.lang.Integer[] tids)
                             throws SessionException,
                                    javax.ejb.RemoveException,
                                    AppdefEntityNotFoundException,
                                    GroupNotCompatibleException,
                                    PermissionException

  Disable all measurements for a resource

  Parameters:
    `id` - the resource's ID
    `tids` - the array of measurement ID's
  Throws:
    `SessionException`
    `javax.ejb.RemoveException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### disableAGMeasurements

    public void disableAGMeasurements(int sessionId,
                                      AppdefEntityID parentId,
                                      AppdefEntityTypeID childType,
                                      java.lang.Integer[] tids)
                               throws SessionTimeoutException,
                                      SessionNotFoundException,
                                      javax.ejb.RemoveException,
                                      AppdefEntityNotFoundException,
                                      GroupNotCompatibleException,
                                      PermissionException

  Disable all measurements for a resource

  Parameters:
    `tids` - the array of measurement ID's
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `javax.ejb.RemoveException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### getMeasurement

    public Measurement getMeasurement(int sessionID,
                                      java.lang.Integer id)
                               throws SessionTimeoutException,
                                      SessionNotFoundException,
                                      MeasurementNotFoundException

  Find a measurement using measurement id

  Parameters:
    `id` - measurement id
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `MeasurementNotFoundException`

### getLastMetricValue

    public MetricValue[] getLastMetricValue(int sessionId,
                                            AppdefEntityID aeid,
                                            java.lang.Integer[] tids)
                                     throws SessionTimeoutException,
                                            SessionNotFoundException,
                                            PermissionException

  Get the last metric values for the given template IDs.

  Parameters:
    `tids` - The template IDs to get
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`

### getLastMetricValue

    public MetricValue[] getLastMetricValue(int sessionId,
                                            java.util.List measurements,
                                            long interval)

  Get the last metric data for the array of measurement ids.

  Parameters:
    `measurements` - The List of Measurements to get metrics for
    `interval` - The allowable time in ms to go back looking for data.

### getLastIndicatorValues

    public java.util.Map getLastIndicatorValues(java.lang.Integer sessionId,
                                                AppdefEntityID aeid)

  Get the last indicator metric values

### findMeasurement

    public Measurement findMeasurement(int sessionId,
                                       java.lang.Integer tid,
                                       AppdefEntityID id)
                                throws SessionNotFoundException,
                                       SessionTimeoutException,
                                       PermissionException,
                                       MeasurementNotFoundException,
                                       AppdefEntityNotFoundException

  Retrieve a Measurement for a specific instance

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `MeasurementNotFoundException`
    `AppdefEntityNotFoundException`

### findMeasurements

    public java.util.List findMeasurements(int sessionId,
                                           AppdefEntityID id,
                                           PageControl pc)
                                    throws SessionNotFoundException,
                                           SessionTimeoutException,
                                           AppdefEntityNotFoundException,
                                           GroupNotCompatibleException,
                                           PermissionException

  Retrieve List of measurements for a specific instance

  Returns:
    List of Measurement objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### findMeasurements

    public java.util.List findMeasurements(int sessionId,
                                           java.lang.Integer tid,
                                           AppdefEntityID[] entIds)
                                    throws SessionTimeoutException,
                                           SessionNotFoundException,
                                           MeasurementNotFoundException,
                                           AppdefEntityNotFoundException,
                                           PermissionException

  Retrieve list of measurements for a specific template and entities

  Parameters:
    `tid` - the template ID
    `entIds` - the array of entity IDs
  Returns:
    a List of Measurement objects
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `MeasurementNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findEnabledAGMeasurements

    public java.util.List findEnabledAGMeasurements(int sessionId,
                                                    AppdefEntityID parentId,
                                                    AppdefEntityTypeID childType,
                                                    java.lang.String cat,
                                                    PageControl pc)
                                             throws SessionNotFoundException,
                                                    SessionTimeoutException,
                                                    AppdefEntityNotFoundException,
                                                    GroupNotCompatibleException,
                                                    PermissionException

  Get the enabled measurements for an auto group

  Parameters:
    `parentId` - - the parent resource appdefEntityID
    `childType` - - the type of child in the autogroup
  Returns:
    a PageList of Measurement objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### findEnabledMeasurements

    public PageList findEnabledMeasurements(int sessionId,
                                            AppdefEntityID id,
                                            java.lang.String cat,
                                            PageControl pc)
                                     throws SessionNotFoundException,
                                            SessionTimeoutException,
                                            AppdefEntityNotFoundException,
                                            GroupNotCompatibleException,
                                            PermissionException

  Retrieve list of measurements for a specific instance and category

  Returns:
    a PageList of Measurement objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### findMeasurementData

    public PageList findMeasurementData(int sessionId,
                                        Measurement m,
                                        long begin,
                                        long end,
                                        PageControl pc)

  Dumps data for a specific measurement

  Returns:
    a PageList of MetricValue objects

### findMeasurementData

    public PageList findMeasurementData(int sessionId,
                                        java.lang.Integer tid,
                                        AppdefEntityID aid,
                                        long begin,
                                        long end,
                                        long interval,
                                        boolean returnNulls,
                                        PageControl pc)
                                 throws SessionNotFoundException,
                                        SessionTimeoutException,
                                        AppdefEntityNotFoundException,
                                        PermissionException,
                                        MeasurementNotFoundException

  Dumps data for a specific measurement template for an instance based on an interval

  Parameters:
    `tid` - the template ID
    `aid` - the AppdefEntityID
    `begin` - the beginning of the time range
    `end` - the end of the time range
    `interval` - the time interval at which the data should be calculated
    `returnNulls` - whether or not nulls should be inserted for no data
  Returns:
    a PageList of MetricValue objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `MeasurementNotFoundException`

### findMeasurementData

    public PageList findMeasurementData(int sessionId,
                                        java.lang.Integer tid,
                                        AppdefEntityID aid,
                                        AppdefEntityTypeID ctype,
                                        long begin,
                                        long end,
                                        long interval,
                                        boolean returnNulls,
                                        PageControl pc)
                                 throws SessionNotFoundException,
                                        SessionTimeoutException,
                                        AppdefEntityNotFoundException,
                                        PermissionException,
                                        MeasurementNotFoundException

  Dumps data for a specific measurement template for an auto-group based on an interval.

  Parameters:
    `tid` - the measurement template id
    `aid` - the entity id
    `ctype` - the auto-group child type
    `begin` - start of interval
    `end` - end of interval
    `interval` - the interval
    `returnNulls` - whether or not to return nulls
  Returns:
    a PageList of MetricValue objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `MeasurementNotFoundException`

### findMeasurementData

    public PageList findMeasurementData(int sessionId,
                                        java.lang.Integer tid,
                                        java.util.List entIds,
                                        long begin,
                                        long end,
                                        long interval,
                                        boolean returnNulls,
                                        PageControl pc)
                                 throws SessionNotFoundException,
                                        SessionTimeoutException,
                                        AppdefEntityNotFoundException,
                                        PermissionException

  Dumps data for a specific measurement template for an auto-group based on an interval.

  Parameters:
    `tid` - the measurement template id
    `begin` - start of interval
    `end` - end of interval
    `interval` - the interval
    `returnNulls` - whether or not to return nulls associated with the platform
  Returns:
    a PageList of MetricValue objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findMeasurementData

    public PageList findMeasurementData(java.lang.String user,
                                        AppdefEntityID aid,
                                        MeasurementTemplate tmpl,
                                        long begin,
                                        long end,
                                        long interval,
                                        boolean returnNulls,
                                        PageControl pc)
                                 throws javax.security.auth.login.LoginException,
                                        ApplicationException,
                                        ConfigPropertyException

  Dumps data for a specific measurement template for an instance based on an interval

  Parameters:
    `aid` - the AppdefEntityID
    `begin` - the beginning of the time range
    `end` - the end of the time range
    `interval` - the time interval at which the data should be calculated
    `returnNulls` - whether or not nulls should be inserted for no data
  Returns:
    a PageList of MetricValue objects
  Throws:
    `javax.security.auth.login.LoginException`
    `ApplicationException`
    `ConfigPropertyException`

### findMeasurementData

    public PageList findMeasurementData(int sessionId,
                                        AppdefEntityID aid,
                                        MeasurementTemplate tmpl,
                                        long begin,
                                        long end,
                                        long interval,
                                        boolean returnNulls,
                                        PageControl pc)
                                 throws SessionNotFoundException,
                                        SessionTimeoutException,
                                        AppdefEntityNotFoundException,
                                        PermissionException,
                                        MeasurementNotFoundException

  Dumps data for a specific measurement template for an instance based on an interval

  Parameters:
    `aid` - the AppdefEntityID
    `tmpl` - the complete MeasurementTemplate value object
    `begin` - the beginning of the time range
    `end` - the end of the time range
    `interval` - the time interval at which the data should be calculated
    `returnNulls` - whether or not nulls should be inserted for no data
  Returns:
    a PageList of MetricValue objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `MeasurementNotFoundException`

### findAGMeasurementData

    public PageList findAGMeasurementData(java.lang.String user,
                                          AppdefEntityID[] aids,
                                          MeasurementTemplate tmpl,
                                          AppdefEntityTypeID ctype,
                                          long begin,
                                          long end,
                                          long interval,
                                          boolean returnNulls,
                                          PageControl pc)
                                   throws javax.security.auth.login.LoginException,
                                          ApplicationException,
                                          ConfigPropertyException

  Dumps data for a specific measurement template for an auto-group based on an interval.

  Parameters:
    `ctype` - the auto-group child type
    `begin` - start of interval
    `end` - end of interval
    `interval` - the interval
    `returnNulls` - whether or not to return nulls
  Returns:
    a PageList of MetricValue objects
  Throws:
    `ConfigPropertyException`
    `ApplicationException`
    `javax.security.auth.login.LoginException`

### findAGMeasurementData

    public PageList findAGMeasurementData(int sessionId,
                                          AppdefEntityID[] aids,
                                          MeasurementTemplate tmpl,
                                          AppdefEntityTypeID ctype,
                                          long begin,
                                          long end,
                                          long interval,
                                          boolean returnNulls,
                                          PageControl pc)
                                   throws SessionNotFoundException,
                                          SessionTimeoutException,
                                          AppdefEntityNotFoundException,
                                          PermissionException,
                                          MeasurementNotFoundException

  Dumps data for a specific measurement template for an auto-group based on an interval.

  Parameters:
    `ctype` - the auto-group child type
    `begin` - start of interval
    `end` - end of interval
    `interval` - the interval
    `returnNulls` - whether or not to return nulls
  Returns:
    a PageList of MetricValue objects
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `MeasurementNotFoundException`

### findMetricMetadata

    public java.util.List findMetricMetadata(int sessionId,
                                             AppdefEntityID aid,
                                             AppdefEntityTypeID ctype,
                                             java.lang.Integer tid)
                                      throws SessionNotFoundException,
                                             SessionTimeoutException,
                                             GroupNotCompatibleException,
                                             AppdefEntityNotFoundException,
                                             ApplicationNotFoundException,
                                             TemplateNotFoundException,
                                             PermissionException

  Returns metadata for particular measurement

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `GroupNotCompatibleException`
    `AppdefEntityNotFoundException`
    `ApplicationNotFoundException`
    `TemplateNotFoundException`
    `PermissionException`

### findMetric

    public MetricDisplaySummary findMetric(int sessionId,
                                           AppdefEntityID aeid,
                                           AppdefEntityTypeID ctype,
                                           java.lang.Integer tid,
                                           long begin,
                                           long end)
                                    throws SessionTimeoutException,
                                           SessionNotFoundException,
                                           PermissionException,
                                           AppdefEntityNotFoundException,
                                           AppdefCompatException,
                                           MeasurementNotFoundException

  Method findMetrics. When the entId is a server, return all of the metrics that are instances of the measurement templates for the server's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is a platform, return all of the metrics that are instances of the measurement templates for the platform's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is compatible group of servers or platforms, return all of the metrics for the type. Each MetricDisplaySummary actually represents the metrics summarized for all of the group members (cumulative/averaged as appropriate), showNumberCollecting should be true and the numberCollecting as well as the total number of members assigned in each bean.

  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`
    `MeasurementNotFoundException`
  See Also:
    `MetricDisplaySummary`

### findMetric

    public MetricDisplaySummary findMetric(int sessionId,
                                           java.util.List resources,
                                           java.lang.Integer tid,
                                           long begin,
                                           long end)
                                    throws SessionTimeoutException,
                                           SessionNotFoundException,
                                           PermissionException,
                                           AppdefEntityNotFoundException,
                                           AppdefCompatException,
                                           MeasurementNotFoundException

  Method findMetrics. When the entId is a server, return all of the metrics that are instances of the measurement templates for the server's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is a platform, return all of the metrics that are instances of the measurement templates for the platform's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is compatible group of servers or platforms, return all of the metrics for the type. Each MetricDisplaySummary actually represents the metrics summarized for all of the group members (cumulative/averaged as appropriate), showNumberCollecting should be true and the numberCollecting as well as the total number of members assigned in each bean.

  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`
    `MeasurementNotFoundException`
  See Also:
    `MetricDisplaySummary`

### pruneResourcesNotCollecting

    public AppdefResourceValue[] pruneResourcesNotCollecting(int sessionId,
                                                             AppdefResourceValue[] resources,
                                                             java.lang.Integer tid)
                                                      throws SessionNotFoundException,
                                                             SessionTimeoutException,
                                                             AppdefEntityNotFoundException,
                                                             MeasurementNotFoundException,
                                                             PermissionException

  Prunes from the list of passed-in AppdefEntityValue array those resources that are not collecting the metric corresponding to the given template id.

  Parameters:
    `resources` - the resources
    `tid` - the metric template id
  Returns:
    an array of resources
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `AppdefEntityNotFoundException`
    `MeasurementNotFoundException`
    `PermissionException`

### findResourceMetricSummary

    public java.util.Map findResourceMetricSummary(int sessionId,
                                                   AppdefEntityID[] entIds,
                                                   long begin,
                                                   long end)
                                            throws SessionTimeoutException,
                                                   SessionNotFoundException,
                                                   AppdefEntityNotFoundException,
                                                   MeasurementNotFoundException,
                                                   PermissionException

  Method findResourceMetricSummary. For metric comparisons, the ResourceMetricDisplaySummary beans are returned as a map where the keys are the MeasurementTemplateValue (or MeasurementTemplateLiteValue?) objects associated with the given resource's types, the values are Lists of ResourceMetricDisplaySummary The context that the user will be populating the input resource list from should always be like resource types. If for some reason that's not the case, this method will take a garbage in/garbage out approach (as opposed to enforcing like types) -- comparing apples and oranges may be performed but if the user ends up with measurement templates for which there is only one resource to compare, that should indicate some other problem i.e. the application is presenting dissimilar objects as available for comparison. The list of resources can be any concrete AppdefResourceValue (i.e. a platform, server or service), composite AppdefResourceValues (i.e. applications, groups) are inappropriate for this signature. Used for screen 0.3

  Parameters:
    `begin` - the commencement of the timeframe of interest
    `end` - the end of the timeframe of interest
  Returns:
    Map of measure templates and resource metric lists
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `MeasurementNotFoundException`
    `PermissionException`

### findMetrics

    public java.util.Map findMetrics(int sessionId,
                                     AppdefEntityID[] entIds,
                                     long filters,
                                     java.lang.String keyword,
                                     long begin,
                                     long end,
                                     boolean showNoCollect)
                              throws SessionTimeoutException,
                                     SessionNotFoundException,
                                     InvalidAppdefTypeException,
                                     PermissionException,
                                     AppdefEntityNotFoundException,
                                     AppdefCompatException

  Return a MetricSummary bean for each of the metrics (template) for the entities in the given time frame

  Overrides:
    `findMetrics` in class `MetricSessionEJB`
  Parameters:
    `begin` - the beginning time frame
    `end` - the ending time frame
  Returns:
    a list of ResourceTypeDisplaySummary beans
  Throws:
    `AppdefCompatException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### findMetrics

    public java.util.Map findMetrics(int sessionId,
                                     AppdefEntityID entId,
                                     java.util.List mtids,
                                     long begin,
                                     long end)
                              throws SessionTimeoutException,
                                     SessionNotFoundException,
                                     PermissionException,
                                     AppdefEntityNotFoundException,
                                     AppdefCompatException

  Method findMetrics. When the entId is a server, return all of the metrics that are instances of the measurement templates for the server's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is a platform, return all of the metrics that are instances of the measurement templates for the platform's type. In this case, the MetricDisplaySummary's attributes to show the number collecting doesn't make sense; showNumberCollecting should false for each bean.

  When the entId is compatible group of servers or platforms, return all of the metrics for the type. Each MetricDisplaySummary actually represents the metrics summarized for all of the group members (cumulative/averaged as appropriate), showNumberCollecting should be true and the numberCollecting as well as the total number of members assigned in each bean.

  Overrides:
    `findMetrics` in class `MetricSessionEJB`
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `AppdefCompatException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`
  See Also:
    `MetricDisplaySummary`

### findAGPlatformMetricsByType

    public java.util.Map findAGPlatformMetricsByType(int sessionId,
                                                     AppdefEntityTypeID platTypeId,
                                                     long begin,
                                                     long end,
                                                     boolean showAll)
                                              throws SessionTimeoutException,
                                                     SessionNotFoundException,
                                                     InvalidAppdefTypeException,
                                                     AppdefEntityNotFoundException,
                                                     PermissionException,
                                                     AppdefCompatException

  Return a MetricSummary bean for each of the servers of a specific type.

  Overrides:
    `findAGPlatformMetricsByType` in class `MetricSessionEJB`
  Parameters:
    `begin` - the beginning time frame
    `end` - the ending time frame
  Returns:
    a list of ResourceTypeDisplaySummary beans
  Throws:
    `AppdefCompatException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAGMetricsByType

    public java.util.Map findAGMetricsByType(int sessionId,
                                             AppdefEntityID[] entIds,
                                             AppdefEntityTypeID typeId,
                                             long filters,
                                             java.lang.String keyword,
                                             long begin,
                                             long end,
                                             boolean showAll)
                                      throws SessionTimeoutException,
                                             SessionNotFoundException,
                                             InvalidAppdefTypeException,
                                             PermissionException,
                                             AppdefEntityNotFoundException,
                                             AppdefCompatException

  Return a Metric summary bean for each of the services of a specific type

  The map returned has keys for the measurement categories (see MeasurementConstants) and values that are Lists of MetricDisplaySummary beans.

  This is used to access metrics for entity's internal and deployed services. The metrics returned are only applicable from within the given timeframe of interest.

  Appropriate entities include

  - applications (2.1.2.2-3)
  - servers (2.3.2.1-4 - internal/deplyed tabs)
  - services (2.5.2.2 - internal/deplyed tabs)

  Overrides:
    `findAGMetricsByType` in class `MetricSessionEJB`
  Parameters:
    `begin` - the beginning time frame
    `end` - the ending time frame
  Returns:
    a list of CurrentHealthDisplaySummary beans
  Throws:
    `AppdefCompatException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### getSummarizedResourceAvailability

    public MeasurementSummary getSummarizedResourceAvailability(int sessionId,
                                                                AppdefEntityID entId,
                                                                int appdefType,
                                                                java.lang.Integer typeId)
                                                         throws AppdefEntityNotFoundException,
                                                                PermissionException,
                                                                SessionNotFoundException,
                                                                SessionTimeoutException,
                                                                InvalidOptionException

  Return a MeasurementSummary bean for the resource's associated resources specified by type

  Parameters:
    `entId` - the entity ID
    `appdefType` - the type (server, service, etc) of the specified resource type
    `typeId` - the specified resource type ID
  Returns:
    a MeasurementSummary bean
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `InvalidOptionException`

### findSummarizedServerCurrentHealth

    public java.util.List findSummarizedServerCurrentHealth(int sessionId,
                                                            AppdefEntityID entId)
                                                     throws SessionTimeoutException,
                                                            SessionNotFoundException,
                                                            AppdefEntityNotFoundException,
                                                            PermissionException

  Method findSummarizedServerCurrentHealth.

  Return a ResourceTypeDisplaySummary bean for each of the platform's deployed servers. Each bean represents a type of server and the measurement data summarized for that type.

  see screen 2.2.2

  Returns:
    List of ResourceTypeDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findSummarizedPlatformServiceCurrentHealth

    public java.util.List findSummarizedPlatformServiceCurrentHealth(int sessionId,
                                                                     AppdefEntityID entId)
                                                              throws SessionTimeoutException,
                                                                     SessionNotFoundException,
                                                                     PermissionException,
                                                                     AppdefEntityNotFoundException

  Method findSummarizedServiceCurrentHealth.

  This is used for the lists of service types for the Current Health view for

  - applications (2.1.2)
  - servers (2.3.2.1-4)
  - services (2.5.2.2)

  If `internal` is true, only the internal services will be returned, the deployed ones if it's false. If `internal` is null, then both deployed and internal services will be returned.

  Parameters:
    `entId` - the appdef entity with child services
  Returns:
    List a list of ResourceTypeDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### findSummarizedServiceCurrentHealth

    public java.util.List findSummarizedServiceCurrentHealth(int sessionId,
                                                             AppdefEntityID entId)
                                                      throws SessionTimeoutException,
                                                             SessionNotFoundException,
                                                             PermissionException,
                                                             AppdefEntityNotFoundException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### findGroupCurrentHealth

    public java.util.List findGroupCurrentHealth(int sessionId,
                                                 java.lang.Integer id)
                                          throws SessionTimeoutException,
                                                 SessionNotFoundException,
                                                 AppdefEntityNotFoundException,
                                                 PermissionException

  Method findGroupCurrentHealth.

  Return a ResourceDisplaySummary bean for each of the group's member resources. Each bean represents a resource and the measurement data summarized for that type.

  see screen 2.2.2

  Returns:
    List of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findVirtualsCurrentHealth

    public java.util.List findVirtualsCurrentHealth(int sessionId,
                                                    AppdefEntityID entId)
                                             throws SessionTimeoutException,
                                                    SessionNotFoundException,
                                                    AppdefEntityNotFoundException,
                                                    GroupNotCompatibleException,
                                                    PermissionException

  Return a ResourceDisplaySummary bean for each of the resource's virtual resources. Each bean represents a resource and the measurement data summarized for that resource.

  see screen 2.2.2

  Returns:
    List of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `GroupNotCompatibleException`
    `PermissionException`

### findResourcesCurrentHealth

    public java.util.List findResourcesCurrentHealth(java.lang.String user,
                                                     AppdefEntityID[] entIds)
                                              throws javax.security.auth.login.LoginException,
                                                     ApplicationException,
                                                     PermissionException,
                                                     AppdefEntityNotFoundException,
                                                     SessionNotFoundException,
                                                     SessionTimeoutException

  Method findResourcesCurrentHealth. The size of the list of ResourceDisplaySummary beans returned will be equivalent to the size of the entity ID's passed in. Called by RSS feed so it does not require valid session ID.

  Returns:
    PageList of ResourceDisplaySummary beans
  Throws:
    `ApplicationException` - if user is not found
    `javax.security.auth.login.LoginException` - if user account has been disabled
    `PermissionException`
    `AppdefEntityNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findResourcesCurrentHealth

    public java.util.List findResourcesCurrentHealth(int sessionId,
                                                     AppdefEntityID[] entIds)
                                              throws AppdefEntityNotFoundException,
                                                     PermissionException,
                                                     SessionNotFoundException,
                                                     SessionTimeoutException

  Method findResourcesCurrentHealth. The size of the list of ResourceDisplaySummary beans returned will be equivalent to the size of the entity ID's passed in.

  Returns:
    PageList of ResourceDisplaySummary beans
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`
    `SessionNotFoundException`
    `SessionTimeoutException`

### findHostsCurrentHealth

    public java.util.List findHostsCurrentHealth(int sessionId,
                                                 AppdefEntityID entId,
                                                 PageControl pc)
                                          throws SessionNotFoundException,
                                                 SessionTimeoutException,
                                                 PermissionException,
                                                 AppdefEntityNotFoundException

  Find the current health of the entity's host(s)

  Returns:
    PageList of ResourceDisplaySummary beans
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### findPlatformsCurrentHealth

    public PageList findPlatformsCurrentHealth(int sessionId,
                                               AppdefEntityID entId,
                                               PageControl pc)
                                        throws SessionTimeoutException,
                                               SessionNotFoundException,
                                               AppdefEntityNotFoundException,
                                               PermissionException

  Method findPlatformsCurrentHealth. The population of the list of ResourceDisplaySummary beans returned will vary depending on the entId's type. When the entId is a server, the returned list should have just one ResourceDisplaySummary with a PlatformValue in it, the one that represents the host that the server resides on. When the entId is a compatible group of platforms, the returned list will have as many elements as there are individual PlatformValue's to represent all of the hosts.

  Returns:
    PageList of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAGPlatformsCurrentHealthByType

    public java.util.List findAGPlatformsCurrentHealthByType(int sessionId,
                                                             java.lang.Integer platTypeId)
                                                      throws SessionTimeoutException,
                                                             SessionNotFoundException,
                                                             InvalidAppdefTypeException,
                                                             PermissionException,
                                                             AppdefEntityNotFoundException

  Method findAGPlatformsCurrentHealthByType For autogroup of platforms. If the entId is a platform, the deployed servers view shows the current health of servers.

  Returns:
    a list of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`

### findServersCurrentHealth

    public PageList findServersCurrentHealth(int sessionId,
                                             AppdefEntityID entId,
                                             PageControl pc)
                                      throws SessionTimeoutException,
                                             SessionNotFoundException,
                                             InvalidAppdefTypeException,
                                             AppdefEntityNotFoundException,
                                             PermissionException

  Method findServersCurrentHealth For the screens that rely on this API, the entId is either an application, a service or a group. The population of the list varies with the type of appdef entity input. This is used for all of the application monitoring screens; they all show a list with current health data for each server that participates in supplying services for an application. So if the entity is an application, the list is populated with servers that host the services on which the application relies. The timeframe is not used in this context, the list of servers is always the current list. The timeframe shall still be sent but it will be bounded be the current time and current time - default time window. (see 2.1.2 - 2.1.2.1-3) If the entId is a platform, the deployed servers view shows the current health of servers in the timeframe that the metrics are shown for. So if the entity is application, expect to populate the list based on the presence of metrics in the timeframe of interest. (see 2.2.2.3, it shows deployed servers... I'll give you a dollar if you can come up with a reason why we'd want internal servers. We aren't managing cron or syslog, dude.) This is also used for a services' current health page in which case the appdef entity is a service.

  Parameters:
    `entId` - the platform's or application's ID
  Returns:
    a list of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAGServersCurrentHealthByType

    public java.util.List findAGServersCurrentHealthByType(int sessionId,
                                                           AppdefEntityID[] entIds,
                                                           java.lang.Integer serverTypeId)
                                                    throws SessionTimeoutException,
                                                           SessionNotFoundException,
                                                           InvalidAppdefTypeException,
                                                           AppdefEntityNotFoundException,
                                                           PermissionException

  Method findServersCurrentHealth For platform's autogroup of servers. If the entId is a platform, the deployed servers view shows the current health of servers.

  Returns:
    a list of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAGServicesCurrentHealthByType

    public java.util.List findAGServicesCurrentHealthByType(int sessionId,
                                                            AppdefEntityID[] entIds,
                                                            java.lang.Integer serviceTypeId)
                                                     throws SessionTimeoutException,
                                                            SessionNotFoundException,
                                                            InvalidAppdefTypeException,
                                                            AppdefEntityNotFoundException,
                                                            PermissionException

  Return a ResourceDisplaySummary bean for each of the resource's services. The only applicable resource is currently a compatible group (of services...)

  Returns:
    a list of ResourceDisplaySummary beans
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAvailability

    public double getAvailability(AuthzSubject subj,
                                  AppdefEntityID id)
                           throws AppdefEntityNotFoundException,
                                  PermissionException

  Get Availability measurement for a given entitiy

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAvailability

    public double getAvailability(int sessionId,
                                  AppdefEntityID id)
                           throws SessionTimeoutException,
                                  SessionNotFoundException,
                                  AppdefEntityNotFoundException,
                                  PermissionException

  Get the availability of the resource

  Parameters:
    `id` - the Appdef entity ID
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAGAvailability

    public double getAGAvailability(int sessionId,
                                    AppdefEntityID[] aids,
                                    AppdefEntityTypeID ctype)
                             throws SessionTimeoutException,
                                    SessionNotFoundException,
                                    AppdefEntityNotFoundException,
                                    PermissionException

  Get the availability of autogroup resources

  Returns:
    a MetricValue for the availability
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAllMetrics

    public java.util.List findAllMetrics(int sessionId,
                                         AppdefEntityID aeid,
                                         AppdefEntityTypeID ctype,
                                         long begin,
                                         long end)
                                  throws SessionTimeoutException,
                                         SessionNotFoundException,
                                         AppdefEntityNotFoundException,
                                         PermissionException,
                                         AppdefCompatException,
                                         InvalidAppdefTypeException

  Returns a list of problem metrics for an autogroup, return a summarized list of UI beans

  Overrides:
    `findAllMetrics` in class `MetricSessionEJB`
  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `InvalidAppdefTypeException`
    `AppdefCompatException`

### findAllMetrics

    public java.util.List findAllMetrics(int sessionId,
                                         AppdefEntityID aeid,
                                         AppdefEntityID[] hosts,
                                         AppdefEntityTypeID[] children,
                                         AppdefEntityID[] members,
                                         long begin,
                                         long end)
                                  throws SessionTimeoutException,
                                         SessionNotFoundException,
                                         AppdefEntityNotFoundException,
                                         PermissionException,
                                         AppdefCompatException,
                                         InvalidAppdefTypeException

  Returns a list of problem metrics for a resource, and the selected children and hosts of that resource. Return a summarized list of UI beans

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `InvalidAppdefTypeException`

### findAllMetrics

    public java.util.List findAllMetrics(int sessionId,
                                         AppdefEntityID aeid,
                                         AppdefEntityID[] hosts,
                                         AppdefEntityTypeID[] children,
                                         long begin,
                                         long end)
                                  throws SessionTimeoutException,
                                         SessionNotFoundException,
                                         AppdefEntityNotFoundException,
                                         PermissionException,
                                         AppdefCompatException,
                                         InvalidAppdefTypeException

  Returns a list of problem metrics for a resource, and the selected children and hosts of that resource. Return a summarized list of UI beans

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `InvalidAppdefTypeException`

### findAvailabilityMetric

    public Measurement findAvailabilityMetric(int sessionId,
                                              AppdefEntityID id)
                                       throws SessionTimeoutException,
                                              SessionNotFoundException

  Get the availability metric for a given resource

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`

### getOne

    public static org.hyperic.hq.bizapp.shared.MeasurementBossLocal getOne()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Throws:
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException,
                                  java.rmi.RemoteException

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`
  Throws:
    `javax.ejb.EJBException`
    `java.rmi.RemoteException`

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

  Overrides:
    `getSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.